Remote access
Opening a remote terminal or screen (VNC) session on a device. The response is a short-lived session the RMM page hands to Bramble Remote.
| Method | Path | Summary |
|---|---|---|
| POST | /v1/app/rmm/device/terminal/session | Open a remote terminal (legacy) |
| POST | /v2/app/rmm/device/terminal/session | Open a remote terminal |
| POST | /v2/app/rmm/device/vnc/session | Open a remote screen (VNC) |
#Open a remote terminal (legacy)
POST
/v1/app/rmm/device/terminal/session- Address
https://<your-org>.brambleit.cloud/api/v1/app/rmm/device/terminal/session- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: RMM.
Request body JSON
| Name | Type | Description |
|---|---|---|
device_idrequired | integer |
Response 201
| Field | Type | Description |
|---|---|---|
status | integer | |
message | string | |
data | object | |
data.session_id | integer | |
data.device_id | integer | |
data.hostname | string | |
data.display_name | string | |
data.launch_url | string |
Example response
JSON
{
"status": 1,
"message": "Saved",
"data": {
"session_id": 7,
"device_id": 7,
"hostname": "office-pc-01",
"display_name": "Example display name",
"launch_url": "https://example.com/…"
}
}Errors
| Status | Message |
|---|---|
| 400 | device_id is required |
| 404 | User not found |
| 404 | Device not found |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/rmm/device/terminal/session' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"device_id":7}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/app/rmm/device/terminal/session', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"device_id":7}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v1/app/rmm/device/terminal/session",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"device_id":7},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"device_id":7}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v1/app/rmm/device/terminal/session' -Headers $headers -ContentType 'application/json' -Body $body#Open a remote terminal
POST
/v2/app/rmm/device/terminal/sessionNeeds rmm.remote.terminal. Returns a short-lived token for Bramble Remote; the session is recorded.
- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/terminal/session- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: RMM.
Request body JSON
| Name | Type | Description |
|---|---|---|
device_idrequired | integer | The device. |
Response 201
| Field | Type | Description |
|---|---|---|
session_id | integer | |
device_id | integer | |
hostname | string | |
display_name | string | |
launch_url | string |
Example response
JSON
{
"session_id": 7,
"device_id": 7,
"hostname": "office-pc-01",
"display_name": "Example display name",
"launch_url": "https://example.com/…"
}Errors
| Status | Message |
|---|---|
| 400 | device_id is required |
| 404 | User not found |
| 404 | Device not found |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/terminal/session' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"device_id":7}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/terminal/session', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"device_id":7}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/terminal/session",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"device_id":7},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"device_id":7}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/terminal/session' -Headers $headers -ContentType 'application/json' -Body $body#Open a remote screen (VNC)
POST
/v2/app/rmm/device/vnc/sessionNeeds rmm.remote.vnc. Returns a short-lived token for Bramble Remote; the session is recorded.
- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/vnc/session- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: RMM.
Request body JSON
| Name | Type | Description |
|---|---|---|
device_idrequired | integer | The device. |
Response 201
| Field | Type | Description |
|---|---|---|
session_id | integer | |
device_id | integer | |
hostname | string | |
display_name | string | |
launch_url | string |
Example response
JSON
{
"session_id": 7,
"device_id": 7,
"hostname": "office-pc-01",
"display_name": "Example display name",
"launch_url": "https://example.com/…"
}Errors
| Status | Message |
|---|---|
| 400 | device_id is required |
| 404 | User not found |
| 404 | Device not found |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/vnc/session' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"device_id":7}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/vnc/session', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"device_id":7}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/vnc/session",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"device_id":7},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"device_id":7}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm/device/vnc/session' -Headers $headers -ContentType 'application/json' -Body $bodyWas this page helpful?
Thanks for your feedback.